> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Send patch transactions for a pdf statement

> Send patch transactions processed pdf that will override the extracted transactions in the specified statement




## OpenAPI

````yaml https://app.herondata.io/swagger patch /api/integrations/pdfs/{heron_id}/processed
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/integrations/pdfs/{heron_id}/processed:
    patch:
      tags:
        - EndUserIntegrations
      summary: Send patch transactions for a pdf statement
      description: >
        Send patch transactions processed pdf that will override the extracted
        transactions in the specified statement
      parameters:
        - description: heron_id of the pdf
          in: path
          name: heron_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PdfStatementPatchSchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                type: object
          description: Ok
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PdfStatementPatchSchema:
      properties:
        exclude:
          description: True if the statement should be excluded from processing
          type: boolean
        index:
          description: The index of the statement in the pdf to patch
          type: integer
        summary:
          $ref: '#/components/schemas/PdfPatchStatementSummary'
        transactions:
          description: >-
            The full list of transactions that will be used to override the
            extracted transactions for the specified statement
          items:
            $ref: '#/components/schemas/PdfPatchTransaction'
          type: array
      required:
        - index
        - transactions
      type: object
    PdfPatchStatementSummary:
      properties:
        account_number:
          type: string
        bank_name:
          type: string
        company:
          type: string
        currency:
          enum:
            - USD
            - GBP
            - EUR
            - SEK
            - AED
            - AUD
            - SGD
            - CAD
            - NOK
            - IDR
            - CHF
            - DKK
            - MXN
            - PLN
            - MYR
            - VND
            - RON
            - TRY
            - CZK
            - BGN
            - HKD
            - PHP
            - HUF
            - NZD
            - BRL
            - ILS
            - COP
            - RUB
            - INR
            - ZAR
            - THB
            - JPY
            - CLP
            - MAD
            - RSD
            - SLE
          type: string
        end_balance:
          type: number
        fraud_reasons:
          items:
            type: string
          type: array
        fraud_score:
          type: integer
        start_balance:
          type: number
        statement_end_date:
          format: date-time
          type: string
        statement_start_date:
          format: date-time
          type: string
      type: object
    PdfPatchTransaction:
      properties:
        amount:
          nullable: true
          type: number
        balance:
          nullable: true
          type: number
        bounds:
          allOf:
            - $ref: '#/components/schemas/MoneyThumbTransactionBounds'
          nullable: true
        currency:
          nullable: true
          type: string
        description:
          nullable: true
          type: string
        ocr_suspect:
          nullable: true
          type: boolean
        reference_id:
          nullable: true
          type: string
        timestamp:
          format: date-time
          nullable: true
          type: string
        transaction_code:
          nullable: true
          type: string
      type: object
    MoneyThumbTransactionBounds:
      properties:
        page:
          nullable: true
          type: integer
        x_max:
          nullable: true
          type: integer
        x_min:
          nullable: true
          type: integer
        y_max:
          nullable: true
          type: integer
        y_min:
          nullable: true
          type: integer
      required:
        - page
        - x_max
        - x_min
        - y_max
        - y_min
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````